List rooms
This method returns details about the rooms that the current user has permissions to view.
The fieldDataChangedStartDate and fieldDataChangedEndDate
query parameters let you limit the results to rooms
whose field data has changed within a range of dates.
The roomClosedStartDate and roomClosedEndDate query parameters let you limit the results to rooms that were closed within a range of dates.
Note: By default, this method only returns open rooms. To return other rooms, use the roomStatus query parameter.
Related topics
Authentication
JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”
Path parameters
The globally unique identifier (GUID) for the account.
Query parameters
The number of results. When this property is used as a request parameter specifying the number of results to return, the value must be a number between 1 and 100 (default).
The index position within the total result set from which to start returning values. The default value is 0.
The status of the room. Valid values are:
active: This is the default value.pendingopen: Includes bothactiveandpendingstatuses.closed
To return rooms with multiple statuses, enter a comma-separated list of statuses.
Example:
closed,open
Starting date and time to filter rooms whose field data has changed after this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.
Valid formats:
yyyy-mm-dd hh:mm:ssyyyy/mm/dd hh:mm:ss
The default start date is the beginning of time.
Ending date and time to filter rooms whose field data has changed before this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.
Valid formats:
yyyy-mm-dd hh:mm:ssyyyy/mm/dd hh:mm:ss
If this query parameter is omitted, the default end date is now.
Starting date and time to filter rooms that were closed this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.
Valid formats:
yyyy-mm-dd hh:mm:ssyyyy/mm/dd hh:mm:ss
The default start date is the beginning of time.
Ending date and time to filter rooms that were closed before this date. Date and time is always given as UTC. If the time (hh:mm:ss) is omitted, it defaults to 00:00:00.
Valid formats:
yyyy-mm-dd hh:mm:ssyyyy/mm/dd hh:mm:ss
If this query parameter is omitted, the default end date is now.
Response
An array of roomSummary objects.
The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.
The last zero-based index position in the result set.
The URI for the next chunk of records based on the search request. This property is null for the last set of search results.
The URI for the previous chunk of records based on the search request. This property is null for the first set of search results.